Skip to content

# Shadowsocks

### Structure

    {
      "type": "shadowsocks",
      "tag": "ss-out",

      "server": "127.0.0.1",
      "server_port": 1080,
      "method": "2022-blake3-aes-128-gcm",
      "password": "8JCsPssfgS8tiRwiMlhARg==",
      "plugin": "",
      "plugin_opts": "",
      "network": "udp",
      "udp_over_tcp": false | {},
      "multiplex": {},

      ... // Dial Fields
    }

### Fields

#### server

Required

The server address.

#### server_port

Required

The server port.

#### method

Required

Encryption methods:

- `2022-blake3-aes-128-gcm`
- `2022-blake3-aes-256-gcm`
- `2022-blake3-chacha20-poly1305`
- `none`
- `aes-128-gcm`
- `aes-192-gcm`
- `aes-256-gcm`
- `chacha20-ietf-poly1305`
- `xchacha20-ietf-poly1305`

Legacy encryption methods:

- `aes-128-ctr`
- `aes-192-ctr`
- `aes-256-ctr`
- `aes-128-cfb`
- `aes-192-cfb`
- `aes-256-cfb`
- `rc4-md5`
- `chacha20-ietf`
- `xchacha20`

#### password

Required

The shadowsocks password.

#### plugin

Shadowsocks SIP003 plugin, implemented in internal.

Only `obfs-local` and `v2ray-plugin` are supported.

#### plugin_opts

Shadowsocks SIP003 plugin options.

#### network

Enabled network

One of `tcp` `udp`.

Both is enabled by default.

#### udp_over_tcp

UDP over TCP configuration.

See UDP Over TCP for details.

Conflict with `multiplex`.

#### multiplex

See Multiplex for details.

### Dial Fields

See Dial Fields for details.